Bug 220868 - Minimized window group does not show restore icon when group is too large
Minimized window group does not show restore icon when group is too large
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.3
All All
: P3 (vote)
: 7.3.1
Assigned To: Stanislav Aubrecht
issues@platform
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 18:07 UTC by markiewb
Modified: 2013-05-09 14:17 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Shows the missing restore icon (73.66 KB, image/png)
2012-10-25 18:08 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2012-10-25 18:07:51 UTC
[ JDK VERSION : 1.6.37 ]

Reproduction:
* Put as much as possible topcomponents into the bottom window group.
* minimize the window group
* resize horizontally, so that the content of the window group does not fit 
anymore

ACTUAL: the restore icon is not visible anymore
EXPECTED: the restore icon is always visible

See screenshot to see what i mean.

FYI: Error can also been reproduced in 7.1.2
Comment 1 markiewb 2012-10-25 18:08:41 UTC
Created attachment 126573 [details]
Shows the missing restore icon
Comment 2 Stanislav Aubrecht 2012-10-29 14:45:47 UTC
core-main 67167951998b
Comment 3 Quality Engineering 2012-10-30 02:35:45 UTC
Integrated into 'main-golden', will be available in build *201210300001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/67167951998b
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #220868 - make sure restore button is always showing in the slide bar
Comment 4 Stanislav Aubrecht 2013-04-16 13:23:06 UTC
core-main 73e1435ae1a4
Comment 5 Quality Engineering 2013-04-18 02:21:47 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/73e1435ae1a4
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #220868 - Minimized window group does not show restore icon when group is too large
Comment 6 Vladimir Riha 2013-05-02 07:07:38 UTC
verified


Product Version: NetBeans IDE Dev (Build 201304292301)
Updates: Updates available
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 7 Stanislav Aubrecht 2013-05-06 10:41:56 UTC
backported to release73 branch as aab0e6f81362
Comment 8 Quality Engineering 2013-05-07 00:19:37 UTC
Integrated into 'releases', will be available in build *201305062200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/aab0e6f81362
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #220868 - backport of 73e1435ae1a4
Comment 9 Vladimir Riha 2013-05-09 14:17:40 UTC
patch2 verified


Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo